package com.unipi.talepis;

import java.sql.*;

public class Main {

    public static void main(String[] args) {
        try {
            //Step 1. Create connection
            Connection connection =
            DriverManager.getConnection("jdbc:sqlite:./sqliteDB.db");
            //Step 2. Create SQL query
            String createTable = "CREATE TABLE IF NOT EXISTS STUDENT" +
                    "(AM TEXT," +
                    "NAME TEXT," +
                    "GRADE INTEGER," +
                    "PRIMARY KEY (AM))";
            //Step 3. Create SQL Statement using the above connection
            Statement statement = connection.createStatement();
            //Step 4. Execute your SQL query using your statement
            statement.execute(createTable);
            /*------------------------------------------------------------------*/
            String insertRecord = "INSERT INTO STUDENT VALUES('P20438','Apostolos',8)";
            //statement.execute(insertRecord);
            String selectRecords = "SELECT * FROM STUDENT";
            //Step 5. Only for select queries
            ResultSet resultSet =
            statement.executeQuery(selectRecords);
            //Step 6. Only for select. Read your results!
            while (resultSet.next()){
                System.out.println(resultSet.getString(1));
                System.out.println(resultSet.getString(2));
                System.out.println(resultSet.getInt(3));
            }
            //Final Step. Optional
            connection.close();
        } catch (SQLException throwables) {
            throwables.printStackTrace();
        }
    }
}
